import { z } from "zod"

export const buildUpdateSchema = z.object({
    buildType: z.string(),
    info: z.object({
        govAddressCode: z.string(),
        buildName: z.string(),
        buildNo: z.string(),
        maxFloor: z.number(),
        undergroundFloor: z.number(),
        buildDate: z.string(),
        decisionPeriodDate: z.string(),
        taxNo: z.string(),
        liftCount: z.number(),
        heatingSystem: z.boolean(),
        coolingSystem: z.boolean(),
        hotWaterSystem: z.boolean(),
        blockServiceManCount: z.number(),
        securityServiceManCount: z.number(),
        garageCount: z.number(),
        managementRoomId: z.string().optional(),
    })
    // expiryStarts: z.string().optional(),
    // expiryEnds: z.string().optional(),
});

export type BuildUpdate = z.infer<typeof buildUpdateSchema>;
